Subject: Re: Two queries on calculating AS external routes

From: "Pat Murphy - (650)329-4044" <[email-masked]>
Date: Thu, 7 Jul 2005 08:13:19 -0700

Paresh,

>In my case below, what if the two LSAs are not quite
>functoinally equivalent i.e what if the LSAs have the same
>destination, same cost etc but have different non-zero
>forwarding addresses ? What happens then ?  Do the same
>tie-breaker rules apply or will it be implementation-dependent ?

The tie breaker rules are not applied. Here the installation 
decision process is the same regardless of whether it is 
comparing two Type 5 LSAs, or a Type 5 and a Type 7 LSA, or two 
Type 7 LSAs. Whether or not both are installed depends on the 
pruning done in step (c) as defined in RFC 2328 Section 16.4.1.

Pat

---

From: Acee Lindem <[email-masked]>
Date: Sat, 9 Jul 2005 13:15:36 -0400

>pruning done in step (c) as defined in RFC 2328 Section 16.4.1.
Conceivably, you still could end up with LSAs with differing forwarding 
addresses of equal
cost and equivalent path preference for the prefix. I don't believe this 
case is covered. However,
since the forwarding address costs are equal, I don't think there should 
be any loops.